import * as React from 'react';
import { RouteComponentProps } from 'react-router';
import ProbeListContainer from '@overflow/probe/react/ProbeList';
import WebSocketRPC from '@overflow/commons/websocket/WebSocketRPC';
import AppContext from '@overflow/commons/context';
import inject from '@overflow/commons/context/decorator/inject';
import TitleBarContainer from '@overflow/app/views/layout/TitleBarContainer';

class ProbeList extends React.Component<RouteComponentProps<object>, object> {
  @inject()
  private client: WebSocketRPC;

  public constructor(props?: RouteComponentProps<object>, context?: object) {
    super(props, context);

    let con = AppContext.get<WebSocketRPC>();
  }

  public render(): JSX.Element {
    return (
      <div>
        <TitleBarContainer title='Probes' />
        <ProbeListContainer />
      </div>
    );
  }
}


export default ProbeList;
